# Class DataStoreClosedException

Object
Throwable
Exception
DataStoreException
DataStoreClosedException

All Implemented Interfaces:
  `Serializable, LocalizedException`

public class DataStoreClosedException extends DataStoreException
Thrown when a data store is closed and can no more return data.

Since:
  0.8
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataStoreClosedException(String message)`
  Creates an exception with the specified details message.
  `DataStoreClosedException(String message, Throwable cause)`
  Creates an exception with the specified details message and cause.
  `DataStoreClosedException(Locale locale, String format, OpenOption... options)`
  Creates a localized exception for a reader or writer which has been closed.

- ## Method Summary

  ### Methods inherited from class DataStoreException

  `getInternationalMessage, getLocalizedMessage, getMessage, initCause`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DataStoreClosedException

    public DataStoreClosedException(String message)
    Creates an exception with the specified details message.
    Parameters:
      `message` - the detail message of the exception.

  - ### DataStoreClosedException

    public DataStoreClosedException(String message, Throwable cause)
    Creates an exception with the specified details message and cause.
    Parameters:
      `message` - the detail message of the exception.
      `cause` - the cause root for the exception.

  - ### DataStoreClosedException

    public DataStoreClosedException(Locale locale, String format, OpenOption... options)
    Creates a localized exception for a reader or writer which has been closed. Arguments given to this constructor are hints for building an error message.
    Parameters:
      `locale` - the locale of the message to be returned by `DataStoreException​.getLocalizedMessage()`, or `null`.
      `format` - short name or abbreviation of the data format (e.g. "CSV", "GML", "WKT", etc).
      `options` - the option used for opening the file, or `null` or empty if unknown. This method looks in particular for `StandardOpenOption​.READ` and `WRITE` options for inferring if the data store was used as a reader or as a writer.
    Since:
      0.8